org.keycloak.connections.file

## Class DefaultFileConnectionProvider

- java.lang.Object
- - org.keycloak.connections.file.DefaultFileConnectionProvider

- All Implemented Interfaces:
    FileConnectionProvider, KeycloakTransaction, Provider

      public class DefaultFileConnectionProvider
      extends Object
      implements FileConnectionProvider

  Provides the InMemoryModel and notifies the factory to save it when the session is done.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2015 Red Hat Inc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFileConnectionProvider(DefaultFileConnectionProviderFactory factory, KeycloakSession session, InMemoryModel inMemoryModel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin()`
    `void` | `close()`
    `void` | `commit()`
    `InMemoryModel` | `getModel()`
    `boolean` | `getRollbackOnly()`
    `boolean` | `isActive()`
    `void` | `rollback()`
    `void` | `sessionClosed(KeycloakSession session)`
    `void` | `setRollbackOnly()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultFileConnectionProvider

          public DefaultFileConnectionProvider(DefaultFileConnectionProviderFactory factory,
                                       KeycloakSession session,
                                       InMemoryModel inMemoryModel)

  - ### Method Detail

    - #### getModel

          public InMemoryModel getModel()

      Specified by:
        `getModel` in interface `FileConnectionProvider`

    - #### sessionClosed

          public void sessionClosed(KeycloakSession session)

      Specified by:
        `sessionClosed` in interface `FileConnectionProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

    - #### begin

          public void begin()

      Specified by:
        `begin` in interface `KeycloakTransaction`

    - #### commit

          public void commit()

      Specified by:
        `commit` in interface `KeycloakTransaction`

    - #### rollback

          public void rollback()

      Specified by:
        `rollback` in interface `KeycloakTransaction`

    - #### setRollbackOnly

          public void setRollbackOnly()

      Specified by:
        `setRollbackOnly` in interface `KeycloakTransaction`

    - #### getRollbackOnly

          public boolean getRollbackOnly()

      Specified by:
        `getRollbackOnly` in interface `KeycloakTransaction`

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `KeycloakTransaction`

Copyright © 2015. All rights reserved.